
% Generates proper plot from the simulation


%MASS FLOW PLOT
subplot(2,2,1);
plot(sim_t.signals.values, sim_w.signals.values)
title('Mass flow')
xlabel('t [sec]')
ylabel('kg/s')

%THROTTLE FLOW PLOT
subplot(2,2,2);
plot(sim_t.signals.values, sim_wt.signals.values),axis([0 10 -0.2 0.6])
title('Throttle flow')
xlabel('t [sec]')
ylabel('kg/s')

%FEED FLOW AND RECYCLE FLOW PLOT
subplot(2,2,3);
plot(sim_t.signals.values, sim_wf.signals.values, sim_t.signals.values, sim_wr.signals.values),axis([0 10 -0.2 0.6])
title('Feed flow and Recycle flow')
xlabel('t [sec]')
ylabel('kg/s')
legend('Feed flow', 'Recycle flow')

%PRESSURE PLOT
subplot(2,2,4);
plot(sim_t.signals.values, sim_p1.signals.values/p_01, sim_t.signals.values, sim_p2.signals.values/p_01)
title('Pressures')
xlabel('t [sec]')
ylabel('p/p_{01}')
legend('V1 pressure', 'V2 pressure')
