

Psi_c_star = 130000;   % pressure rise
p1_star = 70000;      % volume 1 equilibrium
p2_star = Psi_c_star + p1_star; %volume 2 equilibrium

w_r_star = sqrt(p2_star - p1_star);

[p1,p2] = meshgrid(-20000:1000:10000, -50000:1000:50000);
z = (p2 - p1) .* (sqrt(p2 + p2_star - p1 - p1_star) - w_r_star);

surf(p1,p2,z)

xlabel('Deviation from p_1 equilibrium')
ylabel('Deviation from p_2 equilibrium')