
% Generates proper plot from the simulation


%MASS FLOW PLOT
subplot(2,2,1);
plot(sim_t.signals.values, sim_w.signals.values)
title('Mass flow')
xlabel('t [sec]')
ylabel('kg/s')

%PRESSURE PLOT
subplot(2,2,2);
plot(sim_t.signals.values, sim_p.signals.values/101325),axis([0 12 1 2])
title('Plenum pressure')
xlabel('t [sec]')
ylabel('p_p/p_{01}')

%LIMIT CYCLE
subplot(2,2,3);
plot(sim_w.signals.values, sim_p.signals.values/101325),axis([-0.2 0.8 1 2])
title('Limit cycle')
xlabel('kg/s')
ylabel('p_p/p_{01}')

%COMPRESSOR SPEED PLOT
subplot(2,2,4);
plot(sim_t.signals.values, sim_omega.signals.values)
title('Compressor speed')
xlabel('t [sec]')
ylabel('rad/s')
