function [ pcic ] = getPsic( w_correctedlbmin, omega_rpm )
%getPsic Returns the compressor characteristic for different mass flows and
%speeds.

persistent pp;
if isempty(pp)
    'loading psic_data'
    pp = load('psic_data');
end

pcic = fnval(pp, {w_correctedlbmin, omega_rpm});

if pcic < 1
    pcic = 1;
end